Skip to main content
GET
/
api
/
v1
/
payment-methods
La Pyme SDK
import { Lapyme } from "lapyme";

const lapyme = new Lapyme({
  bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});

const paymentMethods = await lapyme.paymentMethods.list({
  limit: 20,
});
{
  "request_id": "<string>",
  "data": [
    {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "icon": "<string>",
      "bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fee_percentage": "<string>",
      "fee_fixed": 123,
      "requires_reference": true,
      "is_active": true,
      "is_default": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "installment_plans": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "code": "<string>",
          "label": "<string>",
          "sort_order": 123,
          "is_active": true
        }
      ]
    }
  ],
  "has_more": true,
  "next_cursor": "<string>",
  "object": "list",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Query Parameters

cursor
string

Valor de next_cursor recibido en la respuesta anterior

limit
integer
default:50

Cantidad máxima de resultados por respuesta

Required range: 1 <= x <= 100
query
string

Texto de búsqueda por nombre

Alias de query

is_active
boolean

Filtra por estado activo. Si se omite, el endpoint usa true por defecto.

Response

Métodos de pago obtenidos exitosamente

request_id
string
required
data
object[]
required
has_more
boolean
required
next_cursor
string | null
required
object
enum<string>
required

List-envelope discriminator.

Available options:
list
url
string
required

Requested list path.